<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.


/**
 * English strings for jitsi
 *
 * You can have a rather longer description of the file as well,
 * if you like, and it can span multiple lines.
 *
 * @package    mod_jitsi
 * @copyright  2019 Sergio Comerón Sánchez-Paniagua <sergiocomeron@icloud.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['modulename'] = 'Jitsi';
$string['modulenameplural'] = 'Jitsis';
$string['modulename_help'] = 'Use the Jitsi module for videoconference. These videoconferences will use your Moodle username by displaying your username and avatar in videoconferences.

Jitsi-meet is an open-source videoconferencing solution that enables you to easily build and implement secure video conferencing solutions.';
$string['jitsi:addinstance'] = 'Add a new Jitsi';
$string['jitsi:moderation'] = 'Jitsi Moderation';
$string['jitsi:sharedesktop'] = 'Share Desktop';
$string['jitsi:view'] = 'View Jitsi';
$string['jitsiname'] = 'Session name';
$string['jitsi'] = 'Jitsi';
$string['pluginadministration'] = 'Jitsi administration';
$string['pluginname'] = 'Jitsi';
$string['instruction'] = 'Click the button to access';
$string['access'] = 'Access';
$string['calendarstart'] = 'The videoconference \'{$a}\' start';
$string['allow'] = 'Start of videoconference';
$string['nostart'] = 'The session has not started. You can access {$a} minutes before the start';
$string['server'] = 'Jitsi Server';
$string['serverexpl'] = 'Jitsi Server url';
$string['privacy:metadata:jitsi'] = 'In order to integrate with a Jitsi session, user data needs to be exchanged with that service.';
$string['privacy:metadata:jitsi:username'] = 'The username is sent from moodle to show to the other users of the Jitsi session';
$string['privacy:metadata:jitsi:avatar'] = 'The avatar is sent from moodle to show to the other users of the Jitsi session';
$string['noviewpermission'] = 'You do not have permission for view this Jitsi session';
$string['minpretime'] = 'Minutes to access';
$string['help'] = 'Help';
$string['helpex'] = 'Instruction text for show at Jitsi activity';
$string['identification'] = 'ID User';
$string['identificationex'] = 'ID to show in the session';
$string['username'] = 'Username';
$string['nameandsurname'] = 'Firstname + Lastname';
$string['tokennconfig'] = 'Token configuration';
$string['tokenconfigurationex'] = 'Empty for servers without token';
$string['separator'] = 'Separator';
$string['separatorex'] = 'Define the field separator for the session name';
$string['sessionnamefields'] = 'Session name fields';
$string['sessionnamefieldsex'] = 'Fields that define the session name';
$string['securitybutton'] = 'Security Button';
$string['securitybuttonex'] = 'Show security button on session';
$string['invitebutton'] = 'Invite Options';
$string['invitebuttonex'] = 'Show invite options on session';
$string['appid'] = 'App_ID';
$string['appidex'] = 'App ID for token configuration';
$string['secret'] = 'Secret';
$string['secretex'] = 'Secret for token configuration';
$string['simultaneouscameras'] = 'Simultaneous cameras';
$string['simultaneouscamerasex'] = 'Number of simultaneous cameras';
$string['streamingbutton'] = 'Youtube Streaming';
$string['streamingbuttonex'] = 'Show streaming option. (only for moderators)';
$string['blurbutton'] = 'Blur option';
$string['blurbuttonex'] = 'Show blur option';
$string['youtubebutton'] = 'Youtube sharing option';
$string['youtubebuttonex'] = 'Show youtube sharing option';
$string['watermarklink'] = 'Watermark Link';
$string['watermarklinkex'] = 'Watermark Link';
$string['finishandreturn'] = 'Finish and Return';
$string['finishandreturnex'] = 'Return to course when finish the session';
$string['password'] = 'Password';
$string['passwordex'] = 'Password for protect your sessions. Recommended if you use public server';
$string['alias'] = 'Alias';
$string['privatesession'] = '{$a} private session';
$string['myprivatesession'] = 'My private session';
$string['privatesessions'] = 'Private sessions';
$string['privatesessionsex'] = 'Add private sessions to user profiles';
